%{?nodejs_find_provides_and_requires}

%global enable_tests 1

Name:           nodejs-js-yaml
Version:        3.5.2
Release:        %mkrel 3
Summary:        YAML 1.2 parser and serializer

License:        MIT
Group:          System/Libraries
URL:            https://github.com/nodeca/js-yaml
Source0:        https://registry.npmjs.org/js-yaml/-/js-yaml-%{version}.tgz
# The test/ directory is not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# revision control repository.
Source1:        tests-%{version}.tar.bz2
Source10:       dl-tests.sh

BuildArch:      noarch
ExclusiveArch: %{ix86} x86_64 %{arm} noarch

BuildRequires:  nodejs-packaging

%if 0%{?enable_tests}
BuildRequires:  npm(esprima)
BuildRequires:  npm(mocha)
%endif

%description
This is an implementation of YAML (YAML Ain't Markup Language), a human
friendly data serialization language. It started as PyYAML port, and was
completely rewritten from scratch.  Now it's very fast, and supports the
1.2 spec.


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package


%build
#nothing to do


%install
mkdir -p %{buildroot}%{nodejs_sitelib}/js-yaml
cp -pr package.json index.js lib/ \
    %{buildroot}%{nodejs_sitelib}/js-yaml

mkdir -p %{buildroot}%{nodejs_sitelib}/js-yaml/bin
install -p -D -m0755 bin/js-yaml.js \
    %{buildroot}%{nodejs_sitelib}/js-yaml/bin/js-yaml.js
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/js-yaml/bin/js-yaml.js \
    %{buildroot}%{_bindir}/js-yaml

%nodejs_symlink_deps


%if 0%{?enable_tests}
%check
%nodejs_symlink_deps --check
NODE_ENV=test %{nodejs_sitelib}/mocha/bin/mocha -R spec
%endif


%files
%{!?_licensedir:%global license %doc}
%doc README.md CHANGELOG.md
%license LICENSE
%{nodejs_sitelib}/js-yaml
%{_bindir}/js-yaml



%changelog
* Tue May 17 2016 neoclust <neoclust> 3.5.2-3.mga6
+ Revision: 1016229
- New version 3.5.2

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Mon Dec 08 2014 joequant <joequant> 3.2.3-1.mga5
+ Revision: 802128
- upgrade to 3.2.3 to fix security issues

* Wed Oct 29 2014 tv <tv> 2.1.3-1.mga5
+ Revision: 794419
- disable tests for bootstrap
- imported package nodejs-js-yaml


* Mon Oct 27 2014 Thierry Vignaud <tv@mageia.org> 2.1.3-1.mga5
- import from FC

* Fri Apr 18 2014 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.1.3-1
- update to upstream release 2.1.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.1.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
- also since the last EL6 build got garbage collected

* Sun Jul 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.1.0-2
- add logic for ExclusiveArch macro

* Fri Jun 21 2013 Jamie Nguyen <jamielinux@fedoraproject.org> - 2.1.0-1
- initial package
